Delete a Single Autotune Override
Removes a single gate or segment override from the autotune. Idempotent: returns 200 even when no matching override exists.
Removes a single gate or segment override from the autotune. Idempotent: returns 200 even when no matching override exists.
https://statsigapi.net/console/v1/autotunes/{id}/overrides/conditional/{type}/{name}Authorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
idstringrequiredAutotune name
typestringrequiredOverride type
gatesegmentnamestringrequiredName of the gate or segment being overridden
Query parameters
groupIDstringrequiredThe autotune variant name the override targets
environmentstringEnvironment the override is scoped to. Omit to target the override that applies to all environments.
Response
application/jsonmessagestringrequiredA simple string explaining the result of the operation.
dataobjectrequiredShow child attributes
overridesobject[]requiredArray of autotune overrides, each specifying type, ID, and variant ID.
typestringrequiredgatesegmentidstringrequiredThe id of the segment or gate
groupIDstringrequiredThe autotune variant which user will be forced into
environmentstringOptional environment designation (e.g., production, staging) for the autotune.
nullableuserIDOverridesobject[]requiredArray of user ID overrides, specifying which users to force into autotune variants.
groupIDstringrequiredThe autotune variant the user will be forced into.
idsstring[]requiredArray of user IDs to be assigned to the specified autotune variant.
environmentstringOptional environment designation (e.g., production, staging) for the autotune.
nullableunitTypestringOptional type of unit for the autotune, defining the scope of the override.
nullablestatusintegerrequired401messagestringrequiredstatusintegerrequired404messagestringrequiredWas this helpful?